Subject: Re: [rds-devel] BUG: unable to handle kernel NULL pointer dereference in rds_send_xmit

From: Sowmini Varadhan <[email-masked]>
Date: Tue, 30 Jan 2018 17:28:16 -0500

On (01/30/18 14:22), Eric Biggers wrote:
>
> I assume you weren't able to reproduce this?  This crash hasn't been
> seen again,
   :
> I am invalidating the bug for syzbot so it will report the same crash
> signature
> again if it occurs, but if you think there is a real bug feel free to keep
> looking into it.

correct I was not able to reproduce this.  However based on code
inspecion, I came up with

    commit 3db6e0d172c94bd9953a1347c55ffb64b1d2e74f
    rds: use RCU to synchronize work-enqueue with connection teardown

Marking  it invalid sounds good to me.

--Sowmini